[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# TAbstractResource._Type

The type of the resource

## Declaration

Source position: resource.pp line 165

`public property TAbstractResource._Type : TResourceDesc read GetType;`

## Description

Remark: | Please note that some TAbstractResource descendants don't allow resource type to be changed (e.g: it's not possible for a TBitmapResource to have a type other than RT_BITMAP). If it is the case, an EResourceDescChangeNotAllowedException exception is raised. Moreover, if the resource is contained in a TResources object, type change is not allowed.

## See also

TAbstractResource.ChangeDescTypeAllowed |  | Reports whether changing the type of resource type or name is allowed
TAbstractResource.ChangeDescValueAllowed |  | Reports whether changing the value of resource type or name is allowed